Subject: Re: [PATCHv3 0/9] Removing deprecated parsing macros

From: Stefan Beller <[email-masked]>
Date: Tue, 06 Aug 2013 15:02:14 +0200

On 08/06/2013 08:39 AM, Junio C Hamano wrote:
> Thanks.  Queued this at the tip of 'pu'.  There seem to be some
> fallouts found in the test suite, though.
> 

Thanks. I am sorry for forgetting 'make test' before sending patches.
And the test suite is correct.

e35ea450 (branch, commit, name-rev: ease up boolean conditions)
is faulty. In builtin/branch.c the variables 'delete' and 'rename' 
are not used as a true boolean but I assumed so. 
These are parsed in via OPT_BIT and depending if you pass -d or -D 
for deletion you have value 1 or 2 in delete.

Hence this change is incorrect:
-	if (!!delete + !!rename + !!force_create + !!list + !!new_upstream + !!unset_upstream > 1)
+	if (delete + rename + force_create + list + unset_upstream +
+	    !!new_upstream > 1)
 		usage_with_options(builtin_branch_usage, options);

The current patch e35ea450 ([PATCHv3 5/9] branch, commit, name-rev: ease up boolean conditions)
can be dropped/reverted and I'll resend it. (The order doesn't matter, 
you can just drop that commit and apply the resend version on top of 
origin/sb/parseopt-boolean-removal

Stefan